Description

An Option to add map labels to the map grid in the print composer in degree - minute - second format for geographical coordinate

systems like WGS 84 would be nice.

I always have to move to ArcGIS when I want to this. Or is there some way to do it within QGIS that I've missed?

History

#1 - 2014-07-07 04:32 AM - Lars Scharfenberg

I already know about the possibility to add labels in DMS format (forgot to mention this in the request), but the problem with this is that you have to calculate

the grid distances you want to have in DMS yourself, QGIS only works with distances in decimal degrees or meters in the composer currently.

#2 - 2014-07-07 09:18 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Map Composer/Printing

Lars Scharfenberg wrote:

I already know about the possibility to add labels in DMD format (forgot to mention this in the request), but the problem with this is that you have to

calculate the grid distances you want to have in DMS yourself, QGIS only works with distances in decimal degrees or meters in the composer

currently.

so the request is to allow choose the spacing between the grid line in DMS instead of DD, right?

#3 - 2014-07-09 01:26 AM - Lars Scharfenberg

Yes, you're right, sorry if I didn't make it clear enough (English isn't my mother language). In ArcGIS you're able to set grid spacing in Degrees, Minutes,

Seconds when doing a print layout, that's a feature I thought is missing from QGIS for quite some time since I started using it. In QGIS you currently have to

manually convert/translate the spacings from Degrees, Minutes, Seconds to Decimal Degrees when you want to create a grid with DMS labels for a map

that uses for example WGS84 (which is a real pain and never quite works for me at least). The result are pretty strange intervals between grid lines.

#4 - 2014-07-09 08:09 AM - Giovanni Manghi

- Subject changed from Add DMS-format to map grid labels in print composer for degree-based CRS (for example WGS84) to Map Composer to 

Composer: allow define grid spacing using Degrees, minutes and seconds.

Lars Scharfenberg wrote:
Yes, you're right, sorry if I didn't make it clear enough (English isn't my mother language). In ArcGIS you're able to set grid spacing in Degrees,

Minutes, Seconds when doing a print layout, that's a feature I thought is missing from QGIS for quite some time since I started using it. In QGIS you

currently have to manually convert/translate the spacings from Degrees, Minutes, Seconds to Decimal Degrees when you want to create a grid with

DMS labels for a map that uses for example WGS84 (which is a real pain and never quite works for me at least). The result are pretty strange

intervals between grid lines.

I'm sure that this could be quite easily implemented if someone is willingly to support the development.

#5 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
